*-----------------------------------------------------------------------
      SUBROUTINE SGLAXV(VX1,VY1,VX2,VY2,ITYPE,INDEX,ICOLOR)
      LOGICAL LFCATR

      CALL SWQFCC(LFCATR)
      IF(.NOT.LFCATR) THEN
        CALL MSGDMP('M','SGLAXV','FULL COLOR MODE IS NOT SUPPORTED.')
      END IF

      IF (ITYPE.EQ.0) THEN
        CALL MSGDMP('M','SGLAXV','LINETYPE IS 0 / DO NOTHING.')
        RETURN
      END IF
      IF (INDEX.EQ.0) THEN
        CALL MSGDMP('M','SGLAXV','LINE INDEX IS 0 / DO NOTHING.')
        RETURN
      END IF
      IF (INDEX.LT.0) THEN
        CALL MSGDMP('E','SGLAXV','LINE INDEX IS INVALID.')
      END IF

      CALL SWSFCM(.TRUE.)
      CALL SWSLCL(ICOLOR)

      CALL SZLAOP(ITYPE,INDEX)
      CALL SZLAZV(VX1,VY1,VX2,VY2)
      CALL SZLACL

      CALL SWSFCM(.FALSE.)

      END
